package com.diagbot.dto;

import java.util.List;

import lombok.Getter;
import lombok.Setter;

/**
 * @Description
 * @author rgb
 * @time 2018年12月5日下午5:00:34
 */
@Getter
@Setter
public class RelationNodeDTO {
	
	/**
	 * 当前概念id start_id
	 */
	private Long conceptId;
	
	/**
	 * 当前概念名称
	 */
	private String conceptName;
	
	/**
	 * 上一级概念id end_id
	 */
	private Long parentConceptId;
	
	/**
	 * 上一级概念名称
	 */
	private String parentConceptName;
	
	/**
	 * 当前概念(起点术语) 与 上一级概念(终点术语) 关系id
	 */
	private Long relationId;
	
	/**
	 * 当前概念(起点术语) 与 上一级概念(终点术语) 关系名称
	 */
	private String relationName;
	
	/**
	 * 下一级概念
	 */
	private List<RelationNodeDTO> nodeList;
	

}
