package com.diagbot.vo;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @Description: 推理参数
 * @Author:zhaops
 * @time: 2019/4/17 14:42
 */
@Getter
@Setter
public class PushBaseVO {
    @NotNull(message = "请输入年龄")
    private Integer age;
    @NotNull(message = "请输入性别")
    private Integer sex;
    @NotBlank(message = "请输入推送类型")
    private String featureType;
    private String symptom;
    private String diag;
    private String vital;
    private List<LisResult> lis;
    private String pacs;
    private String past;
    private String other;
}
